Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DTP » Installation blocked by DTP
Installation blocked by DTP [message #56531] Thu, 21 May 2009 18:30 Go to next message
Richard Cardone is currently offline Richard Cardone
Messages: 6
Registered: July 2009
Junior Member
I get the 'Data Tools Platform ... requires feature
"org.eclipse.datatools.doc.user (1.6.0)", or later version' error message
when I try to install a seemingly unrelated plugin (ClearCase Remote
Client for Eclipse). Others have reported similar problems
(http://wiki.eclipse.org/DTP_1.6.2_Update_Manager_Issues), but I don't
know if the suggested work-arounds can be applied in this case.

My environment is based on the Eclipse 3.4.2 ganymede version pre-packaged
with BIRT (eclipse-reporting-ganymede-SR2-linux-gtk.tar.gz), which
contains DTP version 1.6.2. I added the CDT 5.0.2 plugins to the
installation, and I use JDK 1.6.13 on RHEL 4.4. The system is on an
isolated network (no Internet).

I am able to install the ClearCase plugin on the same version of Eclipse
on Windows, but the above noted DTP error prevents installation on Linux.
Has anyone found a work-around for this problem that does NOT require a
live Internet connection?

Thanks,
Rich
Re: Installation blocked by DTP [message #56694 is a reply to message #56531] Fri, 29 May 2009 13:06 Go to previous messageGo to next message
Richard Cardone is currently offline Richard Cardone
Messages: 6
Registered: July 2009
Junior Member
I was able to install the ClearCase plugin in Eclipse by temporarily
removing the features and plugins that caused the dependency problem. In
particular, I removed all BIRT, jst, wst, and datatools code from the
Eclipse features and plugins directories. I installed ClearCase and then
restored the files previously removed to their original directories. This
workaround avoids the dependency error that previously blocked the
installation.

Rich
Re: Installation blocked by DTP [message #56721 is a reply to message #56694] Fri, 29 May 2009 16:15 Go to previous message
Eclipse User
Originally posted by: brianf.sybase.com

Glad you got it resolved rich...

We're still trying to figure out what's causing this bizarre issue, but at
this point we don't really know.

--Fitz

"Rich C." <richcar@magneticpotato.net> wrote in message
news:016acb72be528ea5018e88f5e02a8e03$1@www.eclipse.org...
>I was able to install the ClearCase plugin in Eclipse by temporarily
>removing the features and plugins that caused the dependency problem. In
>particular, I removed all BIRT, jst, wst, and datatools code from the
>Eclipse features and plugins directories. I installed ClearCase and then
>restored the files previously removed to their original directories. This
>workaround avoids the dependency error that previously blocked the
>installation.
>
> Rich
Re: Installation blocked by DTP [message #595864 is a reply to message #56531] Fri, 29 May 2009 13:06 Go to previous message
Richard Cardone is currently offline Richard Cardone
Messages: 6
Registered: July 2009
Junior Member
I was able to install the ClearCase plugin in Eclipse by temporarily
removing the features and plugins that caused the dependency problem. In
particular, I removed all BIRT, jst, wst, and datatools code from the
Eclipse features and plugins directories. I installed ClearCase and then
restored the files previously removed to their original directories. This
workaround avoids the dependency error that previously blocked the
installation.

Rich
Re: Installation blocked by DTP [message #595878 is a reply to message #56694] Fri, 29 May 2009 16:15 Go to previous message
Brian Fitzpatrick is currently offline Brian Fitzpatrick
Messages: 495
Registered: July 2009
Senior Member
Glad you got it resolved rich...

We're still trying to figure out what's causing this bizarre issue, but at
this point we don't really know.

--Fitz

"Rich C." <richcar@magneticpotato.net> wrote in message
news:016acb72be528ea5018e88f5e02a8e03$1@www.eclipse.org...
>I was able to install the ClearCase plugin in Eclipse by temporarily
>removing the features and plugins that caused the dependency problem. In
>particular, I removed all BIRT, jst, wst, and datatools code from the
>Eclipse features and plugins directories. I installed ClearCase and then
>restored the files previously removed to their original directories. This
>workaround avoids the dependency error that previously blocked the
>installation.
>
> Rich
Previous Topic:db4o database in the Data Tools Platfom
Next Topic:erroneous repeating row values in SQL Results view
Goto Forum:
  


Current Time: Wed Sep 17 15:32:00 GMT 2014

Powered by FUDForum. Page generated in 0.01714 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software